# For use with BrazilNativeGradle to figure out what toolchain platform to use

# Provides a BrazilGradleNative "platform" to enable cross-compiling
function platform() {
  case "$(uname -s)" in
    Linux*)
      echo "linux"
      ;;
    Darwin*)
      echo "osx"
      ;;
    *)
      echo "unknown"
      exit 1
      ;;
  esac
}

# Helper to parse a standard properties FILE
# Example:
# propertyKey=propertyValue
# foo.bar= baz-buzz
# spaces.between.key.val = value
function readProperty() {
  local FILE=$1
  local KEY=$2

  grep "$KEY" "$FILE" | cut -d'=' -f2 | awk '{$1=$1};1'
}